﻿.welcome-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  margin-top: 100px;
  width: 100%;
  min-height: 200px;
}

.alert-messages {
  /* Fixed position for alert messages to pop up and stay near the top. From Twitter. */
  position: fixed;
  top: 0px;
  left: 0;
  right: 0;
  z-index: 7000;
  padding-top: 10px;
}

.tab-content {
  padding: 10px;
}

.nav-tabs {
  margin-bottom: 0;
}

.myAlert-top {
  position: fixed;
  top: 5px;
  left: 2%;
  width: 96%;
}

.border-bottom {
  border-bottom: 1px solid black;
}
.margin-left {
  margin-left: 10px;
}
input {
  font-size: 16px !important;
} /*Override jquery ui font-size*/

#characteristicsList {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
#characteristicsList li {
  margin: 3px;
  padding: 1px;
  float: left;
  width: 150px;
  height: 30px;
  text-align: center;
}

.column {
  float: left;
  padding: 0 0 100px 10px;
  vertical-align: top;
  position: relative;
}
.portlet-header {
  margin: 0.3em;
  padding-bottom: 4px;
  padding-left: 0.2em;
  padding-top: 0.2em;
}
.portlet-header .ui-icon {
  float: right;
}
.portlet-content {
  padding: 0.4em;
}
.ui-sortable-placeholder {
  border: 1px dotted black;
  visibility: visible !important;
  height: 50px !important;
}
.ui-sortable-placeholder * {
  visibility: hidden;
}

.column2 {
  float: right;
  padding-bottom: 100px;
}
.portlet-header2 {
  margin: 0.3em;
  padding-bottom: 4px;
  padding-left: 0.2em;
  padding-top: 0.2em;
}
.portlet-header2 .ui-icon {
  float: right;
}

.themenu {
  font-weight: bold;
  font-size: 8pt;
  color: #ffffff;
  font-family: arial, helvetica, geneva, swiss, sunSans-Regular;
}

/*Stops the hover affect from bootstrap on specific tds*/
tbody tr:hover td.no-hover-effect {
  background-color: none;
}

.btn-show-product-line {
  cursor: pointer;
  text-decoration: none;
}
.productLineSwitch:hover {
  color: Red;
  cursor: pointer;
}

.make-link {
  color: #417394;
  cursor: pointer;
  text-decoration: none;
  display: inline;
}
.make-link:hover {
  color: #417394;
  cursor: pointer;
  text-decoration: underline;
}

.cmdCenterMenuLink {
  font-family: arial;
  color: black;
  font-size: 12px;
  font-weight: bold;
}

.green-option {
  background: lightgreen;
}

table.table thead .sorting,
table.table thead .sorting_asc,
table.table thead .sorting_desc,
table.table thead .sorting_asc_disabled,
table.table thead .sorting_desc_disabled {
  cursor: pointer;
}

table.table thead .sorting {
  background: url("images/sort_both.png") no-repeat center right;
}
table.table thead .sorting_asc {
  background: url("images/sort_asc.png") no-repeat center right;
}
table.table thead .sorting_desc {
  background: url("images/sort_desc.png") no-repeat center right;
}

table.table thead .sorting_asc_disabled {
  background: url("images/sort_asc_disabled.png") no-repeat center right;
}
table.table thead .sorting_desc_disabled {
  background: url("images/sort_desc_disabled.png") no-repeat center right;
}

/* Fine Uploader
-------------------------------------------------- */
.qq-upload-list {
  text-align: left;
}
/* For the bootstrapped demos */
li.alert-success {
  background-color: #dff0d8;
}
li.alert-error {
  background-color: #f2dede;
}
.alert-error .qq-upload-failed-text {
  display: inline;
}

.badge-p {
  background-color: #98fb98;
  padding: 1px;
}
.badge-wei {
  background-color: #afeeee;
  padding: 1px;
}
.badge-uom {
  background-color: #fa8072;
  padding: 1px;
}
.pwei {
  width: 80px;
}

/* 
Overwriting Bootstrap control-label widths.    
*/
.form-horizontal .control-label {
  float: left;
  width: 100px; /* changed from 160px to 120px */
  padding-top: 5px;
  text-align: right;
}

.form-horizontal .controls {
  margin-left: 130px; /* changed from 180px to 140px */
}

/* Pulse used when something says for sale in Rubicon, and not in AP, or vice-versa */
.pulse {
  display: block;
  border-radius: 0%;
  cursor: pointer;
  box-shadow: 0 0 0 rgba(255, 0, 0, 1);
  animation: pulse 2s infinite;
}

.pulse:hover {
  animation: none;
}

@-webkit-keyframes pulse {
  0% {
    -webkit-box-shadow: 0 0 0 0 rgba(255, 0, 0, 1);
  }

  70% {
    -webkit-box-shadow: 0 0 0 10px rgba(255, 0, 0, 0);
  }

  100% {
    -webkit-box-shadow: 0 0 0 0 rgba(255, 0, 0, 0);
  }
}

@keyframes pulse {
  0% {
    -moz-box-shadow: 0 0 0 0 rgba(255, 0, 0, 1);
    box-shadow: 0 0 0 0 rgba(255, 0, 0, 0.4);
  }

  70% {
    -moz-box-shadow: 0 0 0 10px rgba(255, 0, 0, 0);
    box-shadow: 0 0 0 10px rgba(255, 0, 0, 0);
  }

  100% {
    -moz-box-shadow: 0 0 0 0 rgba(255, 0, 0, 0);
    box-shadow: 0 0 0 0 rgba(255, 0, 0, 0);
  }
}
/* End Pulse */
